      program isokov_read_table1
* sample FORTRAN program for reading isokov_table1_data.txt
      implicit none
      integer ispace,isetting,kv,ir
      character kov2cdml_irs(12,0:26,2,230)*8

* kov2cdml_irs(ir,kv,isetting,ispace) is the CDML IR symbol equivalent
* to the ir-th IR for the kv-th k vector, in the isetting-th setting
* (1=KOV, 2=IT) of the ispace-th space group.

      kov2cdml_irs=' '
      open(30,file='isokov_table1_data.txt')
      read(30,*)
      read(30,*)
 1    read(30,'(4i3,x,a8)',end=2)ispace,isetting,kv,ir,
     $     kov2cdml_irs(ir,kv,isetting,ispace)
      goto 1
 2    close(30)
      end
