      program isokov_read_table3
* sample FORTRAN program for reading isokov_table3_data.txt
      implicit none
      integer i,ispace,itrans,icol,irow,tmat(4,4,4,230)
      character kov2cdml_irreps(12,0:26,2,230)*8

* tmat(irow,icol,itrans,ispace) is the element in the irow-th row
* and the icol-th column of the itrans-th type of transformation
* matrix for the ispace-th space group.
* types of transformations:
*   1 KOV to CDML
*   2 CDML to KOV
*   3 IT to CDML
*   4 CDML to IT

      tmat=0
      open(30,file='isokov_table3_data.txt')
      do i=1,6
        read(30,*)
      enddo
      do ispace=1,230
        read(30,*)i
        if(i.ne.ispace)stop 'error'
        read(30,*)(((tmat(irow,icol,itrans,ispace),icol=1,4),
     $       irow=1,4),itrans=1,4)
      enddo
      close(30)
      end
